org.apache.lucene.analysis.core

## Class LowerCaseFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.LowerCaseFilter
        - - org.apache.lucene.analysis.core.LowerCaseFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class LowerCaseFilter
      extends LowerCaseFilter

  Normalizes token text to lower case.

  This class moved to Lucene Core, but a reference in the `analysis/common` module is preserved for documentation purposes and consistency with filter factory.

  See Also:
    `LowerCaseFilter`, `LowerCaseFilterFactory`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LowerCaseFilter(TokenStream in)` Create a new LowerCaseFilter, that normalizes token text to lower case.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.analysis.LowerCaseFilter

      `incrementToken`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LowerCaseFilter

          public LowerCaseFilter(TokenStream in)

      Create a new LowerCaseFilter, that normalizes token text to lower case.
      Parameters:
        `in` - TokenStream to filter

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.